import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.util.*;
import java.util.stream.Collectors;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.gic.haoban.manage.service.entity.TabHaobanExternalClerkRelated;
import com.google.common.collect.Sets;
import org.apache.commons.collections.CollectionUtils;
import org.apache.commons.lang3.StringUtils;

public class FileUtils {
    
    
    
    public static void main(String[] args) {
        cleanNoExsitFriendNew(null,null,null);
    }
    
    public  static StringBuilder getText(){
       StringBuilder list = new StringBuilder() ;

        return list ;
    }



    public static void cleanNoExsitFriendNew(String wxEnterpriseId, String staffId, List<String> externalUserIds) {

        externalUserIds = Arrays.asList("wm0JLXDgAATwCdjIMGe-fwl7ZOMoJ2hw","wm0JLXDgAAa2Cqg0fa2F5BGgwfJo2dJw","wm0JLXDgAAzUoijz9olOmRV7PEBrQhNw","wm0JLXDgAAXI_2kotwsZHLdETKmJenYA","wm0JLXDgAA11ODZutAcho6-5BFC1zy4A") ;


        Set<String> externalUserIdList = new HashSet<>() ;
        externalUserIdList.add("wm0JLXDgAA5A396Jqh-mQQjbTa39m1yw") ;
        Sets.SetView<String> delExternalUserIds = Sets.difference(externalUserIdList,new HashSet<>(externalUserIds));

        System.out.println(delExternalUserIds);


    }
}
